Subject: Re: [PATCH 1/2] ARM: dts: Add devicetree for Eckelmann CI4x10

From: Shawn Guo <[email-masked]>
Date: Mon, 11 Feb 2019 09:38:10 +0800

On Tue, Feb 05, 2019 at 09:18:25AM +0100, Uwe Kleine-König wrote:
> > > +	compatible = "eckelmann,imx6dl-ci4x10", "fsl,imx6dl";
> > 
> > Document the compatible.
> 
> Where is this supposed to be documented? I found
> Documentation/devicetree/bindings/arm/fsl.txt but that only seems to
> list Freescale reference boards and e.g. wand,imx6q-wandboard isn't
> there (or anywhere else).

You need to patch Documentation/devicetree/bindings/arm/fsl.yaml on my
imx/bindings (merged into for-next) branch.  Reminder - please keep
bindings change as a separate patch.

> > > +	mram: mr25h256@0 {

Just spot it - please use a generic node name.

> > > +		compatible = "everspin,mr25h256";
> > 
> > Undocumented compatible.
> 
> Documentation/devicetree/bindings/mtd/jedec,spi-nor.txt documents:
> 
> 	compatible : May include a device-specific string consisting of the
> 	             manufacturer and name of the chip. A list of supported chip
> 		     names follows.
> 
> "everspin" is a documented manufacturer and "mr25h256" is included in
> the referenced list. So it's unclear to me what is missing here.

Ah, okay.  It will make my searching of compatible much harder then.

Shawn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel